 /*
  * Copyright (C), 2018-2021
  * Project: starter
  * FileName: IhcaConfig
  * Author:   xxx
  * Date:     2021/3/30 9:38
  */
 package com.fr.plugin.ihca.config;

 import com.fanruan.api.util.StringKit;
 import com.fr.config.*;
 import com.fr.config.holder.Conf;
 import com.fr.config.holder.factory.Holders;

 /**
  * <Function Description><br>
  * <IhcaConfig>
  *
  * @author xxx
  * @since 1.0.0
  */
 @Visualization(category = "Plugin-ihca_Group")
 public class IhcaConfig extends DefaultConfiguration {
     private static volatile IhcaConfig config = null;
     @Identifier(value = "uriBase", name = "Plugin-ihca_Config_UriBase", description = "Plugin-ihca_Config_UriBase_Description", status = Status.SHOW)
     private final Conf<String> uriBase = Holders.simple(StringKit.EMPTY);

     public static IhcaConfig getInstance() {
         if (config == null) {
             config = ConfigContext.getConfigInstance(IhcaConfig.class);
         }
         return config;
     }

     public String getUriBase() {
         return uriBase.get();
     }

     public void setUriBase(String uriBase) {
         this.uriBase.set(uriBase);
     }
 }